Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Target Management » Is there a new version of rse remote debug launcher?(Is there a new version of rse remote debug launcher?)
Is there a new version of rse remote debug launcher? [message #659168] Fri, 11 March 2011 10:40 Go to next message
No real name is currently offline No real nameFriend
Messages: 2
Registered: March 2011
Junior Member
Hello,

I'd like to remote debug with eclipse from a windows computer to a linux computer. I was very glad, that I found RSE/TM.

But now I have a problem. I only can find the remote debug launcher in an older package: http://download.eclipse.org/dsdp/tm/updates/. In new packages (e.g. http://download.eclipse.org/tm/updates/3.2/) I cannot find the remote debug launcher. The remote debug launcher of the old package should work, but I need to establish a SSH-connection, which is not working in the old package. In contrary the SSH-connection of the newer packages work, but when I want to make an update from my older package (with remote debug launcher) to the new package I get a resource conflict in eclipse:

Details:
Cannot complete the install because of a conflicting dependency.
Software being installed: RSE Local Services 2.1.300.v201101042155-7B4FKsBgJ9EE9F9QHMUU (org.eclipse.rse.local.feature.group 2.1.300.v201101042155-7B4FKsBgJ9EE9F9QHMUU)
Software being installed: Remote System Explorer Extender SDK 3.2.2.R32x_v201102130925-7U7EFA9Dc3j6z-rvb-L1tXd_cz-N (org.eclipse.rse.sdk.feature.group 3.2.2.R32x_v201102130925-7U7EFA9Dc3j6z-rvb-L1tXd_cz-N)
Only one of the following can be installed at once:
RSE Local Services 2.1.202.R32x_v201102011435 (org.eclipse.rse.services.local 2.1.202.R32x_v201102011435)
RSE Local Services 2.1.200.v201005261700 (org.eclipse.rse.services.local 2.1.200.v201005261700)
RSE Local Services 2.1.201.v201009071110 (org.eclipse.rse.services.local 2.1.201.v201009071110)
RSE Local Services 2.1.300.v201102010911 (org.eclipse.rse.services.local 2.1.300.v201102010911)
Cannot satisfy dependency:
From: Remote System Explorer End-User Runtime 3.2.2.R32x_v201102130925-7L78FA58SreKCHr_JG7UA8bra19p (org.eclipse.rse.feature.group 3.2.2.R32x_v201102130925-7L78FA58SreKCHr_JG7UA8bra19p)
To: org.eclipse.rse.local.feature.group [2.1.202.R32x_v201102011435-7B4F8QBCKC5H2XIVHMB922546]
Cannot satisfy dependency:
From: RSE Local Services 2.1.202.R32x_v201102011435-7B4F8QBCKC5H2XIVHMB922546 (org.eclipse.rse.local.feature.group 2.1.202.R32x_v201102011435-7B4F8QBCKC5H2XIVHMB922546)
To: org.eclipse.rse.services.local [2.1.202.R32x_v201102011435]
Cannot satisfy dependency:
From: RSE Local Services 2.1.300.v201101042155-7B4FKsBgJ9EE9F9QHMUU (org.eclipse.rse.local.feature.group 2.1.300.v201101042155-7B4FKsBgJ9EE9F9QHMUU)
To: org.eclipse.rse.services.local [2.1.300.v201102010911]
Cannot satisfy dependency:
From: Remote System Explorer Extender SDK 3.2.2.R32x_v201102130925-7U7EFA9Dc3j6z-rvb-L1tXd_cz-N (org.eclipse.rse.sdk.feature.group 3.2.2.R32x_v201102130925-7U7EFA9Dc3j6z-rvb-L1tXd_cz-N)
To: org.eclipse.rse.feature.group [3.2.2.R32x_v201102130925-7L78FA58SreKCHr_JG7UA8bra19p]



I cannot install the newer SSH-package with the old remote debug lauchner. So my question is: Is there a new version of the rse debug lauchner which works with the new SSH-package?

Thanks in advance,

Theo
Re: Is there a new version of rse remote debug launcher? [message #659179 is a reply to message #659168] Fri, 11 March 2011 12:00 Go to previous messageGo to next message
Martin Oberhuber is currently offline Martin OberhuberFriend
Messages: 985
Registered: July 2009
Senior Member
The remote launcher feature still exists, it has been moved into the CDT. Just install a newer CDT + TM and you should be fine.

For other options you might also consider PTP + RDT, see http://www.eclipse.org/forums/index.php?t=msg&goto=65787 2

Thanks
Martin
Re: Is there a new version of rse remote debug launcher? [message #659188 is a reply to message #659179] Fri, 11 March 2011 12:41 Go to previous message
No real name is currently offline No real nameFriend
Messages: 2
Registered: March 2011
Junior Member
Thank you very much!
Previous Topic:How to link source in Eclipse to a RSE created remote system
Next Topic:RSE - Eclipse 3.6 - "Please enter a destination folder"
Goto Forum:
  


Current Time: Sat Dec 20 03:10:24 GMT 2014

Powered by FUDForum. Page generated in 0.01581 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software